=== doc/Makefile ===

wiki = https://developer.skype.com/SkypeGarage/DbProjects/PlProxy

web = mkz@shell.pgfoundry.org:/home/pgfoundry.org/groups/plproxy/htdocs/

all:

upload:
	devupload.sh overview.txt $(wiki)
	devupload.sh config.txt $(wiki)/ClusterConfig
	devupload.sh syntax.txt $(wiki)/LanguageSyntax

clean:
	rm -rf api
