## postgresql-plproxy 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,10 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.0.5
+PLPROXY_VERSION = 2.0.8
 
 # libpq config
 PQINC = $(shell pg_config --includedir)
 PQLIB = $(shell pg_config --libdir)
-
-FLEX = flex
-BISON = bison 
 
 # module setup
 MODULE_big = plproxy
@@ -24,19 +21,28 @@
 DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
 			 $(foreach t,$(REGRESS),sql/$(t).sql expected/$(t).out) \
 			 config/simple.config.sql src/poll_compat.h \
-			 doc/Makefile doc/config.txt doc/overview.txt \
+			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
 			 AUTHORS COPYRIGHT README plproxy.sql.in NEWS \
 			 debian/packages debian/changelog
 
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
-	  plproxy_errors plproxy_clustermap
+	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
+	  plproxy_encoding
 REGRESS_OPTS = --load-language=plpgsql
 
 # load PGXS makefile
 PGXS = $(shell pg_config --pgxs)
 include $(PGXS)
+
+ifeq ($(PORTNAME), win32)
+SHLIB_LINK += -lws2_32 -lpgport
+endif
+
+# PGXS may define them as empty
+FLEX := $(or $(FLEX), flex)
+BISON := $(or $(BISON), bison)
 
 # parser rules
 src/scanner.o: src/parser.tab.h
@@ -61,7 +67,7 @@
 tgz:
 	rm -rf $(TARNAME)
 	mkdir -p $(TARNAME)
-	tar c $(DIST_FILES) $(SRCS) | tar x -C $(TARNAME)
+	tar c $(DIST_FILES) $(SRCS) | tar xp -C $(TARNAME)
 	tar czf $(TARNAME).tar.gz $(TARNAME)
 
 clean: tgzclean
