## postgresql-plproxy 2.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,15 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.0.8
+PLPROXY_VERSION = 2.1
 
 # libpq config
-PQINC = $(shell pg_config --includedir)
-PQLIB = $(shell pg_config --libdir)
+PG_CONFIG = pg_config
+PQINC = $(shell $(PG_CONFIG) --includedir)
+PQLIB = $(shell $(PG_CONFIG) --libdir)
+
+# PostgreSQL version
+PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
+SQLMED = $(shell test $(PGVER) "<" "8.4" && echo "false" || echo "true")
 
 # module setup
 MODULE_big = plproxy
@@ -12,7 +17,7 @@
        src/query.c src/result.c src/type.c src/poll_compat.c
 OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
 DATA_built = plproxy.sql
-EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch]
+EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] plproxy.sql.in
 PG_CPPFLAGS = -I$(PQINC)
 SHLIB_LINK = -L$(PQLIB) -lpq
 
@@ -23,17 +28,27 @@
 			 config/simple.config.sql src/poll_compat.h \
 			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
-			 AUTHORS COPYRIGHT README plproxy.sql.in NEWS \
-			 debian/packages debian/changelog
+			 AUTHORS COPYRIGHT README plproxy_lang.sql plproxy_fdw.sql NEWS \
+			 debian/packages.in debian/changelog
 
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
 	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-	  plproxy_encoding
-REGRESS_OPTS = --load-language=plpgsql
+	  plproxy_encoding plproxy_split
+
+# SQL files
+PLPROXY_SQL = plproxy_lang.sql
+
+# SQL/MED available, add foreign data wrapper and regression tests
+ifeq ($(SQLMED), true)
+REGRESS += plproxy_sqlmed
+PLPROXY_SQL += plproxy_fdw.sql
+endif
+
+REGRESS_OPTS = --dbname=regression
 
 # load PGXS makefile
-PGXS = $(shell pg_config --pgxs)
+PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
 ifeq ($(PORTNAME), win32)
@@ -53,6 +68,9 @@
 
 src/scanner.c: src/scanner.l
 	cd src; $(FLEX) -oscanner.c scanner.l
+
+plproxy.sql.in: $(PLPROXY_SQL)
+	cat $^ > $@
 
 # dependencies
 $(OBJS): src/plproxy.h src/rowstamp.h
@@ -81,10 +99,26 @@
 ack:
 	cp results/*.out expected/
 
-deb:
+mainteiner-clean: clean
+	rm -f src/scanner.[ch] src/parser.tab.[ch]
+
+deb82:
+	sed -e s/PGVER/8.2/g < debian/packages.in > debian/packages
 	yada rebuild
 	debuild -uc -us -b
 
-mainteiner-clean: clean
-	rm -f src/scanner.[ch] src/parser.tab.[ch]
+deb83:
+	sed -e s/PGVER/8.3/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
 
+deb84:
+	sed -e s/PGVER/8.4/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+
+deb90:
+	sed -e s/PGVER/9.0/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+
