=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ASCIIDOC = asciidoc
 
-HTML = config.html syntax.html todo.html tutorial.html
+HTML = config.html syntax.html todo.html tutorial.html faq.html
 
 all:
