=== debian/changelog ===
postgresql-plproxy (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update policy version 3.9.1.
  * Changed source format to 3.0 (quilt)
  * Added provisions for building with mismatching libpq-dev and 
    postgresql-server-dev installed.
  * Changed section to database
  * Fixed copyright file to match reality

 -- Peter Eisentraut <petere@debian.org>  Thu, 05 Aug 2010 21:49:06 +0300

postgresql-plproxy (2.0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - support PostrgeSQL 8.4, changing build-depends, depends and binary package
      name; Closes: #536973, #559596
  * debian/install
    - install into 8.4 directory

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Feb 2010 13:51:21 +0100

postgresql-plproxy (2.0.8-1) unstable; urgency=low

  * New Upstream Release
  * Added README.source

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Thu, 05 Mar 2009 16:54:09 -0300

postgresql-plproxy (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Fri, 09 Jan 2009 15:51:48 -0200

postgresql-plproxy (2.0.5-2) unstable; urgency=low

  * Fix directory /usr/share/postgresql-8.2-plproxy to 8.3. 
  * Update to debhelper 7.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 08 Jul 2008 11:22:55 -0300

postgresql-plproxy (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Update policy version to 3.8.0.
  * Added Vcs-* control fields.
  * Added Homepage control field.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Mon, 09 Jun 2008 13:47:37 -0300

postgresql-plproxy (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 05 Feb 2008 12:09:02 -0200

postgresql-plproxy (2.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #427293)

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Tue, 05 Jun 2007 23:19:56 -0300
