=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Fernando Ike de Oliveira <fike@midstorm.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), postgresql-server-dev-8.4, flex, bison
Standards-Version: 3.9.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/plproxy/

Package: postgresql-8.4-plproxy
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Description: PL/Proxy is a proxy language used for remote database
 PL/Proxy is a proxy language used for remote database procedure calls
 and data partitioning between databases based on hashing field values.
 .
 It's will be to create with same signature as remote function to be
 called, so only destination info needs to be specify inside proxy
 function body.
