## postgresql-plproxy 2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.1
+PLPROXY_VERSION = 2.2
+
+# set to 1 to disallow functions containing SELECT
+NO_SELECT = 0
 
 # libpq config
 PG_CONFIG = pg_config
@@ -18,7 +21,7 @@
 OBJS = src/scanner.o src/parser.tab.o $(SRCS:.c=.o)
 DATA_built = plproxy.sql
 EXTRA_CLEAN = src/scanner.[ch] src/parser.tab.[ch] plproxy.sql.in
-PG_CPPFLAGS = -I$(PQINC)
+PG_CPPFLAGS = -I$(PQINC) -DNO_SELECT=$(NO_SELECT)
 SHLIB_LINK = -L$(PQLIB) -lpq
 
 TARNAME = plproxy-$(PLPROXY_VERSION)
@@ -34,7 +37,7 @@
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
 	  plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-	  plproxy_encoding plproxy_split
+	  plproxy_encoding plproxy_split plproxy_target
 
 # SQL files
 PLPROXY_SQL = plproxy_lang.sql
@@ -56,8 +59,8 @@
 endif
 
 # PGXS may define them as empty
-FLEX := $(or $(FLEX), flex)
-BISON := $(or $(BISON), bison)
+FLEX := $(if $(FLEX),$(FLEX),flex)
+BISON := $(if $(BISON),$(BISON),bison)
 
 # parser rules
 src/scanner.o: src/parser.tab.h
