=== debian/changelog ===
postgresql-plproxy (2.2-2) unstable; urgency=low

  * Building the documentation needs asciidoc.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 18:05:27 +0200

postgresql-plproxy (2.2-1) unstable; urgency=low

  * New upstream release.
  * Fix Vcs-* fields.
  * Support building for multiple PostgreSQL versions (8.4 and 9.0 now).
  * Install documentation.
  * Add myself as Maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 14:51:55 +0200
