=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-8.4, postgresql-server-dev-9.0, postgresql-server-dev-all,
 grep-dctrl, postgresql-client-common
Standards-Version: 3.9.1
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/

Package: postgresql-8.4-plproxy
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 8.4
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.

Package: postgresql-9.0-plproxy
Architecture: any
Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.0
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
