## postgresql-plproxy 2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # PL/Proxy version
-PLPROXY_VERSION = 2.2
+PLPROXY_VERSION = 2.3
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -29,7 +29,7 @@
 DIST_FILES = Makefile src/plproxy.h src/rowstamp.h src/scanner.l src/parser.y \
 			 $(foreach t,$(REGRESS),sql/$(t).sql expected/$(t).out) \
 			 config/simple.config.sql src/poll_compat.h \
-			 doc/Makefile doc/config.txt doc/overview.txt doc/faq.txt \
+			 doc/Makefile doc/config.txt doc/faq.txt \
 			 doc/syntax.txt doc/todo.txt doc/tutorial.txt \
 			 AUTHORS COPYRIGHT README plproxy_lang.sql plproxy_fdw.sql NEWS \
 			 debian/packages.in debian/changelog
@@ -48,7 +48,11 @@
 PLPROXY_SQL += plproxy_fdw.sql
 endif
 
+
 REGRESS_OPTS = --dbname=regression
+
+# pg9.1 ignores --dbname
+override CONTRIB_TESTDB := regression
 
 # load PGXS makefile
 PGXS = $(shell $(PG_CONFIG) --pgxs)
@@ -85,25 +89,32 @@
 tags:
 	cscope -I src -b -f .cscope.out src/*.c
 
-tgz:
+oldtgz:
 	rm -rf $(TARNAME)
 	mkdir -p $(TARNAME)
 	tar c $(DIST_FILES) $(SRCS) | tar xp -C $(TARNAME)
-	tar czf $(TARNAME).tar.gz $(TARNAME)
+	tar czf $(TARNAME).tgz $(TARNAME)
 
-clean: tgzclean
+tgz:
+	git archive -o $(TARNAME).tar.gz --prefix=$(TARNAME)/ HEAD
+
+clean: tgzclean doc-clean
+
+doc-clean:
+	$(MAKE) -C doc clean
 
 tgzclean:
 	rm -rf $(TARNAME) $(TARNAME).tar.gz
 
 test: install
-	make installcheck || { less regression.diffs; exit 1; }
+	$(MAKE) installcheck || { less regression.diffs; exit 1; }
 
 ack:
 	cp results/*.out expected/
 
-mainteiner-clean: clean
+maintainer-clean: clean
 	rm -f src/scanner.[ch] src/parser.tab.[ch]
+	rm -rf debian/control debian/rules debian/packages debian/packages-tmp*
 
 deb82:
 	sed -e s/PGVER/8.2/g < debian/packages.in > debian/packages
@@ -125,3 +136,8 @@
 	yada rebuild
 	debuild -uc -us -b
 
+deb91:
+	sed -e s/PGVER/9.1/g < debian/packages.in > debian/packages
+	yada rebuild
+	debuild -uc -us -b
+
