=== debian/changelog ===
postgresql-plproxy (2.3-1) unstable; urgency=low

  [ Christoph Berg ]
  * Add 8.2 and 8.3 to supported versions.

  [ Peter Eisentraut ]
  * New upstream release
    - Obsoletes patches/doc

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Nov 2011 21:10:16 +0200

postgresql-plproxy (2.2-3) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.
  * Remove our private pg_buildext copy.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jun 2011 17:13:08 +0200
