=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.2
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/

Package: postgresql-9.1-plproxy
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.1
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
