=== debian/changelog ===
postgresql-plproxy (2.4-1) unstable; urgency=low

  * New upstream release.
  * "build" target needs DESTDIR defined too, temporarily put a version of
    pg_buildext in debian/ that does this.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Jun 2012 16:14:51 +0200
