=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Eisentraut <petere@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
  postgresql-server-dev-all (>= 119~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pgfoundry.org/projects/plproxy/
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-plproxy/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plproxy/
