=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 SRCDIR=$(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
+# sets DESTDIR on build too:
+PG_BUILDEXT=debian/pg_buildext
+
 build build-arch: build-stamp
 build-stamp:
 	dh_testdir
-	+pg_buildext build $(CURDIR) build-%v
+	+$(PG_BUILDEXT) build $(CURDIR) build-%v
 	$(MAKE) -C doc html
 	touch build-stamp
 
@@ -15,16 +18,18 @@
 clean: debian/control
 	dh_testdir
 	dh_testroot
-	+pg_buildext clean $(CURDIR) build-%v
+	+$(PG_BUILDEXT) clean $(CURDIR) build-%v
 	$(MAKE) -C doc clean
 	dh_clean
+	# installed here too, for whatever reason...
+	rm -rf debian/usr
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plproxy
+	+$(PG_BUILDEXT) install $(CURDIR) build-%v postgresql-%v-plproxy
 
 binary-arch: install
 	dh_testdir
