## postgresql-plproxy 2.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.4
-EXTVERSION = 2.4.0
+DISTVERSION = 2.5
+EXTVERSION = 2.5.0
+UPGRADE_VERS = 2.3.0 2.4.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -36,7 +37,8 @@
 # regression testing setup
 REGRESS = plproxy_init plproxy_test plproxy_select plproxy_many \
      plproxy_errors plproxy_clustermap plproxy_dynamic_record \
-     plproxy_encoding plproxy_split plproxy_target
+     plproxy_encoding plproxy_split plproxy_target plproxy_alter \
+     plproxy_cancel
 REGRESS_OPTS = --dbname=regression --inputdir=test
 # pg9.1 ignores --dbname
 override CONTRIB_TESTDB := regression
@@ -44,18 +46,19 @@
 # sql source
 PLPROXY_SQL = sql/plproxy_lang.sql
 # Generated SQL files
-EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql
-# Fixed SQL
-EXTMISC = sql/plproxy--unpackaged--2.3.0.sql
+EXTSQL = sql/$(EXTENSION)--$(EXTVERSION).sql \
+	$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql) \
+	sql/plproxy--unpackaged--$(EXTVERSION).sql
 
 # PostgreSQL version
 PGVER = $(shell $(PG_CONFIG) --version | sed 's/PostgreSQL //')
 SQLMED = $(shell test "$(PGVER)" "<" "8.4" && echo "false" || echo "true")
 PG91 = $(shell test "$(PGVER)" "<" "9.1" && echo "false" || echo "true")
+PG92 = $(shell test "$(PGVER)" "<" "9.2" && echo "false" || echo "true")
 
 # SQL/MED available, add foreign data wrapper and regression tests
 ifeq ($(SQLMED), true)
-REGRESS += plproxy_sqlmed
+REGRESS += plproxy_sqlmed plproxy_table
 PLPROXY_SQL += sql/plproxy_fdw.sql
 endif
 
@@ -69,6 +72,9 @@
 EXTRA_CLEAN += $(EXTSQL)
 endif
 
+ifeq ($(PG92), true)
+REGRESS += plproxy_range
+endif
 
 #
 # load PGXS makefile
@@ -101,10 +107,17 @@
 	cat $^ > $@
 
 # plain plproxy.sql is not installed, but used in tests
-$(EXTSQL): $(PLPROXY_SQL)
+sql/$(EXTENSION)--$(EXTVERSION).sql: $(PLPROXY_SQL)
 	@mkdir -p sql
 	echo "create extension plproxy;" > sql/plproxy.sql 
 	cat $^ > $@
+
+$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql):
+	touch $@
+
+sql/plproxy--unpackaged--$(EXTVERSION).sql: sql/ext_unpackaged.sql
+	@mkdir -p sql
+	cat $< > $@
 
 # dependencies
 
@@ -135,6 +148,9 @@
 deb:
 	debuild -uc -us -b
 
+debclean:
+	$(MAKE) -f debian/rules realclean
+
 orig:
 	make -f debian/rules orig
