=== debian/changelog ===
postgresql-plproxy (2.5-3git1) trusty; urgency=low

  Upload current Debian packaging git head to fix autopkgtest.

  * debian/tests/installcheck: Temporarily modify test scripts to use CREATE
    EXTENSION instead of sourcing the build tree's plr.psql. We want to test
    the installed package and avoid building.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 06:59:57 +0100

postgresql-plproxy (2.5-3) unstable; urgency=low

  [ Martin Pitt ]
  * Update Vcs-* tags to current git.
  * Add postgresql-server-dev-all test dependency as the test uses
    pg_buildext.
  * debian/tests/installcheck: Create build-$version if it does not exist.

  [ Christoph Berg ]
  * Call rm -rf build-*/ in clean instead of using pg_buildext (doesn't work
    because build-*/doc is missing).

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 22:38:13 +0100

postgresql-plproxy (2.5-2) unstable; urgency=low

  * Add autopkgtest support.
  * Use "all" in debian/pgversions.
  * Makefile: Remove the old vpath patch (now better supported by PostgreSQL),
    and remove the recursion into doc which doesn't work in build-%v/.
  * src/plproxy.h: include libpq-fe.h earlier to un-mess pg_int64 when using
    libpq-dev from 9.3.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2013 13:51:07 +0200

postgresql-plproxy (2.5-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Dec 2012 15:50:35 +0100
