=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-plproxy
Architecture: any
Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.3
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
