=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 SRCDIR=$(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
-# sets DESTDIR on build too:
-PG_BUILDEXT=debian/pg_buildext
+PG_BUILDEXT=pg_buildext
 
 build build-arch: build-stamp
 build-stamp:
@@ -18,11 +17,11 @@
 clean: debian/control
 	dh_testdir
 	dh_testroot
-	+$(PG_BUILDEXT) clean $(CURDIR) build-%v
+	# pg_buildext clean doesn't work because build-*/doc isn't there
+	#+$(PG_BUILDEXT) clean $(CURDIR) build-%v
+	rm -rf build-*/
 	$(MAKE) -C doc clean
 	dh_clean
-	# installed here too, for whatever reason...
-	rm -rf debian/usr
 
 install: build
 	dh_testdir
