=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all
Restrictions: needs-root
