=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000207 /frs/download.php/[0-9]+/plproxy-([0-9.]+).tar.gz debian uupdate
