## postgresql-plproxy 2.6

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.5
-EXTVERSION = 2.5.0
-UPGRADE_VERS = 2.3.0 2.4.0
+DISTVERSION = 2.6
+EXTVERSION = 2.6.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
@@ -98,9 +98,11 @@
 	@mkdir -p src
 	$(BISON) -b src/parser -d $<
 
+src/parser.o: src/scanner.h
+src/scanner.h: src/scanner.c
 src/scanner.c: src/scanner.l
 	@mkdir -p src
-	$(FLEX) -o$@ $<
+	$(FLEX) -o$@ --header-file=$(@:.c=.h) $<
 
 sql/plproxy.sql: $(PLPROXY_SQL)
 	@mkdir -p sql
@@ -112,8 +114,9 @@
 	echo "create extension plproxy;" > sql/plproxy.sql 
 	cat $^ > $@
 
-$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql):
-	touch $@
+$(foreach v,$(UPGRADE_VERS),sql/plproxy--$(v)--$(EXTVERSION).sql): sql/ext_update_validator.sql
+	@mkdir -p sql
+	cat $< >$@
 
 sql/plproxy--unpackaged--$(EXTVERSION).sql: sql/ext_unpackaged.sql
 	@mkdir -p sql
@@ -134,11 +137,6 @@
 zip:
 	git archive -o $(DISTNAME).zip --format zip --prefix=$(DISTNAME)/ HEAD
 
-clean: doc-clean
-
-doc-clean:
-	$(MAKE) -C doc clean
-
 test: install
 	$(MAKE) installcheck || { filterdiff --format=unified regression.diffs | less; exit 1; }
 
@@ -146,6 +144,8 @@
 	cp results/*.out test/expected/
 
 deb:
+	rm -f debian/control
+	make -f debian/rules debian/control
 	debuild -uc -us -b
 
 debclean:
