=== debian/changelog ===
postgresql-plproxy (2.6-2) unstable; urgency=medium

  * Reupload with 9.5 support.
  * Run tests on port 5432 using newpid/newnet.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 18:54:22 +0100

postgresql-plproxy (2.6-1) unstable; urgency=medium

  * New upstream release.
    + Docs are now markdown (Closes: #795984, thanks to Eduard Sanou for the
      original patch which is now obsolete)
  * Drop all patches :)
  * Update watch file to point at plproxy.github.io.
  * Update rules to dh.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Sep 2015 21:03:05 +0200

postgresql-plproxy (2.5-5) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.4.
  * Compile sql/plproxy.sql for the non-extension builds.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:44:14 +0200

postgresql-plproxy (2.5-4) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/installcheck: Temporarily modify test scripts to use CREATE
    EXTENSION instead of sourcing the build tree's plproxy.sql. We want to
    test the installed package and avoid building.

  [ Christoph Berg ]
  * Use CREATE EXTENSION for 9.1+ only.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Feb 2014 12:14:28 +0100
