=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v
	mkdir -p results # create dir now so we can remove it when the regression tests were run as root

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results/*

override_dh_auto_test:

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-plproxy

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_installdocs:
	dh_installdocs -a --all AUTHORS doc/*.md

%:
	dh $@
