=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, newpid
Restrictions: allow-stderr needs-root
