## postgresql-plproxy 2.7

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 EXTENSION  = plproxy
 
 # sync with NEWS, META.json, plproxy.control, debian/changelog
-DISTVERSION = 2.6
-EXTVERSION = 2.6.0
-UPGRADE_VERS = 2.3.0 2.4.0 2.5.0
+DISTVERSION = 2.7
+EXTVERSION = 2.7.0
+UPGRADE_VERS = 2.3.0 2.4.0 2.5.0 2.6.0
 
 # set to 1 to disallow functions containing SELECT
 NO_SELECT = 0
