=== debian/changelog ===
postgresql-plproxy (2.7-1ubuntu2) zesty; urgency=medium

  * d/t/control: the newpid package fails to install in LXD
    environments (relies on fs capabilities which are disallowed by the
    kernel in user namespaces), so use unshare instead (LP: #1666566).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 28 Feb 2017 16:28:57 -0800

postgresql-plproxy (2.7-1ubuntu1) zesty; urgency=medium

  * d/t/installcheck fixes:
    - Passing a port to pg_virtualenv even with newnet does not avoid
      port collisions, as pg_virtualenv (via pg_createcluster) is only
      looking at the configured clusters on the filesystem, not what is
      running in the current network namespace. Set an alternative
      PG_CLUSTER_CONF_ROOT instead, and set it before we call
      pg_virtualenv.
    - Set the socket directory for pg_createcluster, as we are using the
      standard port and that can lead to conflicts. This also requires
      making the AUTOPKGTEST_TMP directory world-writeable so the
      postgres user can write socket information there.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 28 Feb 2017 10:19:53 -0800

postgresql-plproxy (2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Dec 2016 18:28:39 +0100

postgresql-plproxy (2.6-3) unstable; urgency=medium

  * Pull patches from upstream for 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 23:03:59 +0200
