=== debian/control ===
Source: postgresql-plproxy
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 9), flex, bison, asciidoc,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.8
Homepage: http://pgfoundry.org/projects/plproxy/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plproxy.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/postgresql-plproxy.git
XS-Testsuite: autopkgtest

Package: postgresql-9.6-plproxy
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: database partitioning system for PostgreSQL 9.6
 PL/Proxy is a database partitioning system implemented as a PL language. Main
 idea is that proxy functions are created with same signature as the remote
 functions to be called, so only destination info needs to be specified inside
 proxy function bodies.
