=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, util-linux
Restrictions: allow-stderr needs-root
