=== debian/changelog ===
postgresql-plproxy (2.8-1) unstable; urgency=medium

  * New upstream release.
  * Run tests via newnet/localhost so they don't conflict with an existing
    cluster on 5432. (Closes: #856423)

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 16:21:59 +0200

postgresql-plproxy (2.7-2) unstable; urgency=medium

  * Team upload.
  * Add patch to support PG 10 in Makefile.
    https://github.com/plproxy/plproxy/pull/27

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 14:58:44 +0200
